var whosWhoData = require("whosWhoData");

exports.getLionCardBalance = function(_econnectCookie, _callback) {
    var lionCardClient = Titanium.Network.createHTTPClient();
    lionCardClient.onerror = function() {
        _callback(null);
    };
    lionCardClient.onreadystatechange = function() {
        if (4 == lionCardClient.readyState && 200 == lionCardClient.status) {
            var lionCardText = lionCardClient.responseText;
            lionCardText = lionCardText.match(">[$](.*?)<");
            _callback(lionCardText[1]);
        }
    };
    lionCardClient.open("GET", "https://connect.exeter.edu/student/Pages/default.aspx");
    lionCardClient.autoRedirect = false;
    lionCardClient.setTimeout(5e3);
    lionCardClient.setRequestHeader("cookie", _econnectCookie);
    lionCardClient.send();
};

exports.getLionCardName = function(_username, _econnectCookie, _callback) {
    whosWhoData.getWhosWhoName(_username, _econnectCookie, _callback);
};

exports.getLionCardPhoto = function(_username, _econnectCookie, _callback) {
    whosWhoData.getWhosWhoPhoto(_username, _econnectCookie, _callback);
};