function WPATH(s) {
    var index = s.lastIndexOf("/");
    var path = -1 === index ? "LionCardWidget/" + s : s.substring(0, index) + "/LionCardWidget/" + s.substring(index + 1);
    return path;
}

function Controller() {
    new (require("alloy/widget"))("LionCardWidget");
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    var $ = this;
    var exports = {};
    $.__views.livetile = Ti.UI.createView({
        height: Ti.UI.FILL,
        width: Ti.UI.FILL,
        backgroundColor: "transparent",
        id: "livetile"
    });
    $.__views.livetile && $.addTopLevelView($.__views.livetile);
    $.__views.lionCardTemplate = Ti.UI.createImageView({
        top: "1%",
        height: "99%",
        id: "lionCardTemplate"
    });
    $.__views.livetile.add($.__views.lionCardTemplate);
    $.__views.lionCardPhoto = Ti.UI.createImageView({
        top: "33%",
        height: "36%",
        id: "lionCardPhoto"
    });
    $.__views.livetile.add($.__views.lionCardPhoto);
    $.__views.lionCardName = Ti.UI.createLabel({
        top: "67%",
        width: "90%",
        height: "15%",
        color: "black",
        textAlign: "center",
        zIndex: 10,
        id: "lionCardName"
    });
    $.__views.livetile.add($.__views.lionCardName);
    $.__views.lionCardBalance = Ti.UI.createLabel({
        top: "75%",
        width: "90%",
        height: "15%",
        color: "black",
        textAlign: "center",
        zIndex: 10,
        id: "lionCardBalance"
    });
    $.__views.livetile.add($.__views.lionCardBalance);
    $.__views.fullscreen = Ti.UI.createView({
        height: Ti.UI.FILL,
        width: Ti.UI.FILL,
        backgroundColor: "white",
        id: "fullscreen"
    });
    $.__views.fullscreen && $.addTopLevelView($.__views.fullscreen);
    $.__views.fullscreenLabel = Ti.UI.createLabel({
        width: "90%",
        height: Ti.UI.FILL,
        color: "black",
        textAlign: "center",
        font: {
            fontSize: 24
        },
        id: "fullscreenLabel",
        text: "I'm 'LionCardWidget's Fullscreen"
    });
    $.__views.fullscreen.add($.__views.fullscreenLabel);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var lionCardData = require(WPATH("lionCardData"));
    exports.displayName = "Lion Card";
    exports.updateWithEnvironment = function(_widgetEnv) {
        lionCardData.getLionCardName(_widgetEnv.econnectUsername, _widgetEnv.econnectCookie, function(_lionCardName) {
            $.lionCardName.text = _lionCardName;
        });
        lionCardData.getLionCardPhoto(_widgetEnv.econnectUsername, _widgetEnv.econnectCookie, function(_lionCardPhoto) {
            $.lionCardPhoto.image = Titanium.Filesystem.applicationDataDirectory + Ti.Filesystem.separator + "WhosWhoPhoto" + _lionCardPhoto.id + ".jpg";
        });
        lionCardData.getLionCardBalance(_widgetEnv.econnectCookie, function(_lionCardBalance) {
            $.lionCardBalance.text = "$" + _lionCardBalance;
        });
        $.lionCardName.font = {
            fontSize: Math.floor(Ti.Platform.displayCaps.platformHeight / 28)
        };
        $.lionCardBalance.font = {
            fontSize: Math.floor(Ti.Platform.displayCaps.platformHeight / 28)
        };
        $.lionCardTemplate.image = WPATH("lionCardTemplate.png");
    };
    exports.openWidgetConfig = function() {
        Ti.API.info("NOT IMPLEMENTED: Toggle 'LionCardWidget' options");
    };
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;