var dailyMenuData = require(WPATH("dailyMenuData"));

//BEGIN REQUIRED IMPLEMENTATION

exports.displayName = "Daily Menu";

exports.updateWithEnvironment = function(_widgetEnv) {
	dailyMenuData.getCurrentMenu(function(_currentMenu) {
		$.currentMenuName.text = _currentMenu[0];
		var currentMenuString = "";
		for (var i = 1; i < _currentMenu.length; i++) {
			if (_currentMenu[i].replace(/\s/g,"") != "") {
				currentMenuString += _currentMenu[i] + "\n";	
			}
		}
		$.currentMenu.text = currentMenuString;
	});
	
	$.currentMenuName.font = {
		fontSize : Math.floor(Ti.Platform.displayCaps.platformHeight / 24)
	};
	
	$.currentMenu.font = {
		fontSize : Math.floor(Ti.Platform.displayCaps.platformHeight / 38)
	};
	
	$.livetile.backgroundImage = WPATH("dailyMenuBackground.png");
}

exports.openWidgetConfig = function() {
	Ti.API.info("NOT IMPLEMENTED: Toggle 'DailyMenuWidget' options");
}

//END REQUIRED IMPLEMENTATION
