var whosWhoData = require("whosWhoData");

exports.getLionCardBalance = function(_econnectCookie, _callback) {
	var lionCardClient = Titanium.Network.createHTTPClient();

	lionCardClient.onerror = function(e) {
		_callback(null);
	}

	lionCardClient.onreadystatechange = function() {
		if (lionCardClient.readyState == 4 && lionCardClient.status == 200) {
			var lionCardText = lionCardClient.responseText;
			lionCardText = lionCardText.match(">[\$](.*?)<");

			_callback(lionCardText[1]);
		}
	}

	lionCardClient.open("GET", "https://connect.exeter.edu/student/Pages/default.aspx");
	lionCardClient.autoRedirect = false;
	lionCardClient.setTimeout(5000);
	lionCardClient.setRequestHeader("cookie", _econnectCookie);
	lionCardClient.send();
}

exports.getLionCardName = function(_username, _econnectCookie, _callback) {
	whosWhoData.getWhosWhoName(_username, _econnectCookie, _callback);
}

exports.getLionCardPhoto = function(_username, _econnectCookie, _callback) {
	whosWhoData.getWhosWhoPhoto(_username, _econnectCookie, _callback);	
}
