var whosWhoData = require("whosWhoData");

exports.getDeanOnDutyNameAndNumber = function(_econnectCookie, _callback) {
    var deanOnDutyClient = Titanium.Network.createHTTPClient();
    deanOnDutyClient.onerror = function() {
        _callback(null);
    };
    deanOnDutyClient.onreadystatechange = function() {
        if (4 == deanOnDutyClient.readyState && 200 == deanOnDutyClient.status) {
            var deanOnDutyText = deanOnDutyClient.responseText;
            deanOnDutyText = deanOnDutyText.match('<div class="linklistCategories">[^]*?<strong>(.*?) &#124; (.*?)</strong>[^]*?</div>');
            _callback({
                name: deanOnDutyText[1],
                number: deanOnDutyText[2]
            });
        }
    };
    deanOnDutyClient.open("GET", "https://connect.exeter.edu/student/Pages/default.aspx");
    deanOnDutyClient.autoRedirect = false;
    deanOnDutyClient.setTimeout(5e3);
    deanOnDutyClient.setRequestHeader("cookie", _econnectCookie);
    deanOnDutyClient.send();
};

exports.getDeanOnDutyPhoto = function(_name, _econnectCookie, _callback) {
    whosWhoData.getWhosWhoUsername(_name, _econnectCookie, function(_whosWhoUsername) {
        whosWhoData.getWhosWhoPhoto(_whosWhoUsername, _econnectCookie, _callback);
    });
};