function WPATH(s) {
    var index = s.lastIndexOf("/");
    var path = -1 === index ? "DailyMenuWidget/" + s : s.substring(0, index) + "/DailyMenuWidget/" + s.substring(index + 1);
    return path;
}

function Controller() {
    new (require("alloy/widget"))("DailyMenuWidget");
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    var $ = this;
    var exports = {};
    $.__views.livetile = Ti.UI.createView({
        height: Ti.UI.FILL,
        width: Ti.UI.FILL,
        backgroundColor: "transparent",
        id: "livetile"
    });
    $.__views.livetile && $.addTopLevelView($.__views.livetile);
    $.__views.currentMenuName = Ti.UI.createLabel({
        top: "1%",
        width: "88%",
        height: "15%",
        color: "black",
        textAlign: "center",
        id: "currentMenuName"
    });
    $.__views.livetile.add($.__views.currentMenuName);
    $.__views.currentMenu = Ti.UI.createLabel({
        top: "18%",
        width: "88%",
        height: "70%",
        color: "black",
        textAlign: "center",
        id: "currentMenu"
    });
    $.__views.livetile.add($.__views.currentMenu);
    $.__views.fullscreen = Ti.UI.createView({
        height: Ti.UI.FILL,
        width: Ti.UI.FILL,
        backgroundColor: "white",
        id: "fullscreen"
    });
    $.__views.fullscreen && $.addTopLevelView($.__views.fullscreen);
    $.__views.fullscreenLabel = Ti.UI.createLabel({
        width: "90%",
        height: Ti.UI.FILL,
        color: "black",
        textAlign: "center",
        font: {
            fontSize: 24
        },
        id: "fullscreenLabel",
        text: "I'm 'DailyMenuWidget's Fullscreen"
    });
    $.__views.fullscreen.add($.__views.fullscreenLabel);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var dailyMenuData = require(WPATH("dailyMenuData"));
    exports.displayName = "Daily Menu";
    exports.updateWithEnvironment = function() {
        dailyMenuData.getCurrentMenu(function(_currentMenu) {
            $.currentMenuName.text = _currentMenu[0];
            var currentMenuString = "";
            for (var i = 1; _currentMenu.length > i; i++) "" != _currentMenu[i].replace(/\s/g, "") && (currentMenuString += _currentMenu[i] + "\n");
            $.currentMenu.text = currentMenuString;
        });
        $.currentMenuName.font = {
            fontSize: Math.floor(Ti.Platform.displayCaps.platformHeight / 24)
        };
        $.currentMenu.font = {
            fontSize: Math.floor(Ti.Platform.displayCaps.platformHeight / 38)
        };
        $.livetile.backgroundImage = WPATH("dailyMenuBackground.png");
    };
    exports.openWidgetConfig = function() {
        Ti.API.info("NOT IMPLEMENTED: Toggle 'DailyMenuWidget' options");
    };
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;