function WPATH(s) {
    var index = s.lastIndexOf("/");
    var path = -1 === index ? "DeanOnDutyWidget/" + s : s.substring(0, index) + "/DeanOnDutyWidget/" + s.substring(index + 1);
    return path;
}

function Controller() {
    new (require("alloy/widget"))("DeanOnDutyWidget");
    require("alloy/controllers/BaseController").apply(this, Array.prototype.slice.call(arguments));
    arguments[0] ? arguments[0]["__parentSymbol"] : null;
    arguments[0] ? arguments[0]["$model"] : null;
    var $ = this;
    var exports = {};
    $.__views.livetile = Ti.UI.createView({
        height: Ti.UI.FILL,
        width: Ti.UI.FILL,
        borderRadius: 8,
        borderWidth: 2,
        borderColor: "black",
        id: "livetile"
    });
    $.__views.livetile && $.addTopLevelView($.__views.livetile);
    $.__views.deanOnDutyPhoto = Ti.UI.createImageView({
        top: "5%",
        height: "65%",
        id: "deanOnDutyPhoto"
    });
    $.__views.livetile.add($.__views.deanOnDutyPhoto);
    $.__views.deanOnDutyNameNumberBackground = Ti.UI.createView({
        top: "75%",
        width: "85%",
        height: "22%",
        backgroundColor: "white",
        borderRadius: 5,
        borderWidth: 0,
        id: "deanOnDutyNameNumberBackground"
    });
    $.__views.livetile.add($.__views.deanOnDutyNameNumberBackground);
    $.__views.deanOnDutyName = Ti.UI.createLabel({
        top: "5%",
        width: "100%",
        height: "50%",
        color: "black",
        textAlign: "center",
        id: "deanOnDutyName"
    });
    $.__views.deanOnDutyNameNumberBackground.add($.__views.deanOnDutyName);
    $.__views.deanOnDutyNumber = Ti.UI.createLabel({
        top: "45%",
        width: "100%",
        height: "50%",
        color: "black",
        textAlign: "center",
        id: "deanOnDutyNumber"
    });
    $.__views.deanOnDutyNameNumberBackground.add($.__views.deanOnDutyNumber);
    $.__views.fullscreen = Ti.UI.createView({
        height: Ti.UI.FILL,
        width: Ti.UI.FILL,
        backgroundColor: "white",
        id: "fullscreen"
    });
    $.__views.fullscreen && $.addTopLevelView($.__views.fullscreen);
    $.__views.fullscreenLabel = Ti.UI.createLabel({
        width: "90%",
        height: Ti.UI.FILL,
        color: "black",
        textAlign: "center",
        font: {
            fontSize: 24
        },
        id: "fullscreenLabel",
        text: "I'm 'DeanOnDutyWidget's Fullscreen"
    });
    $.__views.fullscreen.add($.__views.fullscreenLabel);
    exports.destroy = function() {};
    _.extend($, $.__views);
    var deanOnDutyData = require(WPATH("deanOnDutyData"));
    exports.displayName = "Dean On Duty";
    exports.updateWithEnvironment = function(_widgetEnv) {
        deanOnDutyData.getDeanOnDutyNameAndNumber(_widgetEnv.econnectCookie, function(_deanOnDuty) {
            deanOnDutyData.getDeanOnDutyPhoto(_deanOnDuty.name, _widgetEnv.econnectCookie, function(_deanOnDutyPhoto) {
                $.deanOnDutyPhoto.image = Titanium.Filesystem.applicationDataDirectory + Ti.Filesystem.separator + "WhosWhoPhoto" + _deanOnDutyPhoto.id + ".jpg";
                $.deanOnDutyName.text = _deanOnDuty.name;
                $.deanOnDutyNumber.text = _deanOnDuty.number;
            });
        });
        $.deanOnDutyName.font = {
            fontSize: Math.floor(Ti.Platform.displayCaps.platformHeight / 30)
        };
        $.deanOnDutyNumber.font = {
            fontSize: Math.floor(Ti.Platform.displayCaps.platformHeight / 30)
        };
        $.livetile.backgroundImage = WPATH("deanOnDutyBackground.png");
    };
    exports.openWidgetConfig = function() {
        Ti.API.info("NOT IMPLEMENTED: Toggle 'DeanDutyWidget' options");
    };
    _.extend($, exports);
}

var Alloy = require("alloy"), Backbone = Alloy.Backbone, _ = Alloy._;

module.exports = Controller;