exports.getWhosWhoUsername = function(_name, _econnectCookie, _callback) {
    var whosWhoClient = Titanium.Network.createHTTPClient();
    whosWhoClient.onerror = function() {
        _callback(null);
    };
    whosWhoClient.onreadystatechange = function() {
        if (4 == whosWhoClient.readyState && 200 == whosWhoClient.status) {
            var whosWhoText = whosWhoClient.responseText.replace(/\s+/g, " ");
            whosWhoText = whosWhoText.match('<div id="Container1" class="psrch-FirstFullResult">[^]*?<div id="ContactInfo">[^]*?<ul id="MiniContactCard">[^]*?<li id="EmailField"><a id="[^]*?" href="[^]*?">(.*?)@exeter.edu</a></li>[^]*?</ul>[^]*?</div>[^]*?</div>');
            _callback(whosWhoText[1]);
        }
    };
    whosWhoClient.open("GET", "https://connect.exeter.edu/searchcenter/Pages/peopleresults2.aspx?k=ALL(" + encodeURIComponent(_name) + ")");
    whosWhoClient.autoRedirect = false;
    whosWhoClient.setTimeout(5e3);
    whosWhoClient.setRequestHeader("cookie", _econnectCookie);
    whosWhoClient.send();
};

exports.getWhosWhoPhoto = function(_username, _econnectCookie, _callback) {
    var whosWhoClient = Titanium.Network.createHTTPClient();
    whosWhoClient.onerror = function() {
        _callback(null);
    };
    whosWhoClient.onreadystatechange = function() {
        if (4 == whosWhoClient.readyState && 200 == whosWhoClient.status) {
            var whosWhoText = whosWhoClient.responseText.replace(/\s+/g, " ");
            whosWhoText = whosWhoText.match("https://connect.exeter.edu/PersonPhotos/(.*?).jpg");
            var whosWhoPhotoUrl = whosWhoText[0];
            var whosWhoPhotoId = whosWhoText[1];
            var whosWhoPhotoClient = Titanium.Network.createHTTPClient();
            whosWhoPhotoClient.onerror = function() {
                _callback(null);
            };
            whosWhoPhotoClient.onreadystatechange = function() {
                4 == whosWhoPhotoClient.readyState && 200 == whosWhoPhotoClient.status && _callback({
                    id: whosWhoPhotoId
                });
            };
            whosWhoPhotoClient.open("GET", whosWhoPhotoUrl);
            whosWhoPhotoClient.setFile(Titanium.Filesystem.getFile(Titanium.Filesystem.applicationDataDirectory, "WhosWhoPhoto" + whosWhoPhotoId + ".jpg"));
            whosWhoPhotoClient.autoRedirect = false;
            whosWhoPhotoClient.setTimeout(5e3);
            whosWhoPhotoClient.setRequestHeader("cookie", _econnectCookie);
            whosWhoPhotoClient.send();
        }
    };
    whosWhoClient.open("GET", "https://mysites.exeter.edu/Person.aspx?accountname=MASTER\\" + _username);
    whosWhoClient.autoRedirect = false;
    whosWhoClient.setTimeout(5e3);
    whosWhoClient.setRequestHeader("cookie", _econnectCookie);
    whosWhoClient.send();
};

exports.getWhosWhoName = function(_username, _econnectCookie, _callback) {
    var whosWhoClient = Titanium.Network.createHTTPClient();
    whosWhoClient.onerror = function() {
        _callback(null);
    };
    whosWhoClient.onreadystatechange = function() {
        if (4 == whosWhoClient.readyState && 200 == whosWhoClient.status) {
            var whosWhoText = whosWhoClient.responseText.replace(/\s+/g, " ");
            whosWhoText = whosWhoText.match('<div style="[^]*?" class="[^]*?" id="ProfileViewer_Name">[^]*?<h1 class="ms-hidden">(.*?), (.*?)</h1>[^]*?<span>[^]*?</span>[^]*?<span>[^]*?</span>[^]*?</div>');
            _callback(whosWhoText[2] + " " + whosWhoText[1]);
        }
    };
    whosWhoClient.open("GET", "https://mysites.exeter.edu/Person.aspx?accountname=MASTER\\" + _username);
    whosWhoClient.autoRedirect = false;
    whosWhoClient.setTimeout(5e3);
    whosWhoClient.setRequestHeader("cookie", _econnectCookie);
    whosWhoClient.send();
};