var deanOnDutyData = require(WPATH("deanOnDutyData"));

//BEGIN REQUIRED IMPLEMENTATION

exports.displayName = "Dean On Duty";

exports.updateWithEnvironment = function(_widgetEnv) {
	deanOnDutyData.getDeanOnDutyNameAndNumber(_widgetEnv.econnectCookie, function(_deanOnDuty) {
		deanOnDutyData.getDeanOnDutyPhoto(_deanOnDuty.name, _widgetEnv.econnectCookie, function(_deanOnDutyPhoto) {
			$.deanOnDutyPhoto.image = Titanium.Filesystem.applicationDataDirectory + Ti.Filesystem.separator + "WhosWhoPhoto" + _deanOnDutyPhoto.id + ".jpg";
			$.deanOnDutyName.text = _deanOnDuty.name;
			$.deanOnDutyNumber.text = _deanOnDuty.number;
		});
	});
	
	$.deanOnDutyName.font = {
		fontSize : Math.floor(Ti.Platform.displayCaps.platformHeight / 30)
	};
	
	$.deanOnDutyNumber.font = {
		fontSize : Math.floor(Ti.Platform.displayCaps.platformHeight / 30)
	};
	
	$.livetile.backgroundImage = WPATH("deanOnDutyBackground.png");
}

exports.openWidgetConfig = function() {
	Ti.API.info("NOT IMPLEMENTED: Toggle 'DeanDutyWidget' options");
}

//END REQUIRED IMPLEMENTATION
