var lionCardData = require(WPATH("lionCardData"));

//BEGIN REQUIRED IMPLEMENTATION

exports.displayName = "Lion Card";

exports.updateWithEnvironment = function(_widgetEnv) {
	lionCardData.getLionCardName(_widgetEnv.econnectUsername, _widgetEnv.econnectCookie, function(_lionCardName) {
		$.lionCardName.text = _lionCardName;	
	});
	
	lionCardData.getLionCardPhoto(_widgetEnv.econnectUsername, _widgetEnv.econnectCookie, function(_lionCardPhoto) {
		$.lionCardPhoto.image = Titanium.Filesystem.applicationDataDirectory + Ti.Filesystem.separator + "WhosWhoPhoto" + _lionCardPhoto.id + ".jpg";	
	});
	
	lionCardData.getLionCardBalance(_widgetEnv.econnectCookie, function(_lionCardBalance) {
		$.lionCardBalance.text = "$" + _lionCardBalance;
	});
	
	$.lionCardName.font = {
		fontSize : Math.floor(Ti.Platform.displayCaps.platformHeight / 28)
	};
	
	$.lionCardBalance.font = {
		fontSize : Math.floor(Ti.Platform.displayCaps.platformHeight / 28)
	};
	
	$.lionCardTemplate.image = WPATH("lionCardTemplate.png");
}

exports.openWidgetConfig = function() {
	Ti.API.info("NOT IMPLEMENTED: Toggle 'LionCardWidget' options");
}

//END REQUIRED IMPLEMENTATION
